Subject: bug#20949: 25.0.50; dbus-error "Emacs not compiled with dbus support"

From: Artur Malabarba <[email-masked]>
Date: Wed, 1 Jul 2015 08:56:03 +0100

This error happens whenever I start Emacs, which I've compiled myself on an
Ubuntu machine with no special options. I understand why the error
happens (erc is trying to use some dbus stuff) I just don't understand
why my emacs doesn't have dbus support.

Looking through the INSTALL file shows that `configure' has an option for
disabling dbus support (which I didn't specify), but I don't see an
option for requesting it.

In GNU Emacs 25.0.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.23)
 of 2015-07-01 on it055607
Repository revision: cc8f96e6e19ad3f56631f432e088590a8cf8535d
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description: Ubuntu 14.04.2 LTS

Configured features:
XPM JPEG TIFF GIF PNG SOUND GSETTINGS NOTIFY GNUTLS LIBXML2 FREETYPE XFT
ZLIB TOOLKIT_SCROLL_BARS GTK2 X11

Important settings:
  value of $LANG: en_GB
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: iso-latin-1-unix

Major mode: Debugger

Minor modes in effect:
  erc-notifications-mode: t
  global-edit-server-edit-mode: t
  erc-gitter-mode: t
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-networks-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  jabber-activity-mode: t
  global-aggressive-indent-mode: t
  aggressive-indent-mode: t
  company-statistics-mode: t
  global-company-mode: t
  company-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  savehist-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  google-this-mode: t
  global-hungry-delete-mode: t
  hungry-delete-mode: t
  global-page-break-lines-mode: t
  global-flycheck-mode: t
  global-color-identifiers-mode: t
  shell-dirtrack-mode: t
  speed-of-thought-mode: t
  show-paren-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  global-prettify-symbols-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent messages:
Logging in as 'Malabarba'... done
Server connected: "1.0.0"
Logging in as 'Malabarba'... done
Server connected: "sinisalo.freenode.net"
Entering debugger...

Memory information:
((conses 16 926126 32676)
 (symbols 48 58615 0)
 (miscs 40 3360 3494)
 (strings 32 151526 23376)
 (string-bytes 1 4558152)
 (vectors 16 71935)
 (vector-slots 8 1126214 12971)
 (floats 8 855 388)
 (intervals 56 31588 786)
 (buffers 976 35)
 (heap 1024 88550 3335))